Subject: Re: [RFH] revision limiting sometimes ignored

From: Tilman Sauerbeck <[email-masked]>
Date: Wed, 6 Feb 2008 17:43:04 +0100

Linus Torvalds [2008-02-05 15:59]:

Hi guys,
thanks for looking into this.

> On Tue, 5 Feb 2008, Johannes Schindelin wrote:
> > > 
> > >  - make commit warn if any parent commit date is in the future from the 
> > >    current commit date (allow a *small* fudge factor here, say 5 minutes).
> > 
> > 5 minutes seems a little narrow to me.  I think we can even go with 86400 
> > seconds.
> 
> Well, notice how I said *warn*. Not abort the commit. Not stop. Just make 
> people very aware of the fact that clocks are skewed.
> 
> In the case that actually triggered this whole discussion, the problem 
> seems to sadly have been in the original CVS tree (or whatever it was 
> imported from): the project started in 2006, had lots of regular commits 
> up to October 2007, and then suddenly it had a commit that had a date in 
> 2002!
> 
> [ For those interested in looking at this, the broken commit in that 
>   Tilman's repo was commit 3a7340af2bd57488f832d7070b0ce96c4baa6b54, which 
>   is from October 2002, and which is surrounded by commits from October 
>   2007, so somebody was literally off by five years ]

I'm not sure whether this repository was import from another SCM, but I
doubt it. I'm fairly sure that 3a7340af2bd57488f832d7070b0ce96c4baa6b54
was created using git commit though. I guess the committer's clock just
was a little late at that point.

Regards,
Tilman

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?